Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.sam
Interface SAMRawReceiver

All Known Implementing Classes:
  SAMv1Handler, SAMv2Handler, SAMv3Handler, SAMv3RawSession

    public interface SAMRawReceiver

Interface for sending raw data to a SAM client

Method Summary
`void` | `receiveRawBytes(byte[] data)` Send a byte array to a SAM client, without informations regarding the sender.
`void` | `stopRawReceiving()` Stop receiving data.

Method Detail

### receiveRawBytes

    void receiveRawBytes(byte[] data)
                         throws IOException

  Send a byte array to a SAM client, without informations regarding the sender.

  Parameters:
    `data` - Byte array to be received
  Throws:
    `IOException`

### stopRawReceiving

    void stopRawReceiving()

  Stop receiving data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD